# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YtRacy

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.youtube.YtRacy

All Implemented Interfaces:
  Extension

Deprecated. in favor of `MediaRating` with `YouTubeNamespace.MEDIA_RATING_SCHEME`.

    @Deprecated
    public class YtRacy

extends AbstractExtension

Object representation for the yt:racy tag.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YtRacy()` Deprecated.

Method Summary

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtRacy

    public YtRacy()

  Deprecated.